Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

undefined method `files' for nil:NilClass #326

Closed
andreacremaschi opened this Issue · 3 comments

3 participants

@andreacremaschi

Hi
i get this error while trying to setup my pod install with 0.6.0.rc2

here is the backtrace:
/Library/Ruby/Gems/1.8/gems/cocoapods-0.6.0.rc2/lib/cocoapods/installer/user_project_integrator.rb:144:in add_pods_library'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.6.0.rc2/lib/cocoapods/installer/user_project_integrator.rb:79:in
integrate!'
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in to_proc'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.6.0.rc2/lib/cocoapods/installer/user_project_integrator.rb:19:in
map'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.6.0.rc2/lib/cocoapods/installer/user_project_integrator.rb:19:in integrate!'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.6.0.rc2/lib/cocoapods/installer.rb:105:in
install!'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.6.0.rc2/lib/cocoapods/command/install.rb:53:in run'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.6.0.rc2/lib/cocoapods/command.rb:69:in
run'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.6.0.rc2/bin/pod:12
/usr/bin/pod:19:in `load'
/usr/bin/pod:19

and here is the Podfile:

platform :ios
dependency 'BlocksKit', '~> 1.5.0'
dependency 'TestFlightSDK', '~> 1.0'
dependency 'MWPhotoBrowser', '~> 0.0.1'

@alloy
Owner

The message of the exception is missing, but based on the backtrace I’m guessing your project does not have a ‘Frameworks’ group in the root of the project. (Which is what the integrator is expecting.)

Can you create a Frameworks group in your project's root and see if that fixes it?

@andreacremaschi

It does! I did rename it. Maybe this should be documented somewhere.
Thank you alloy!

a.c.

@siuying

I have been hit by this too. Maybe there is a better solution, meanwhile, just a check to inform user.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.